[B066] Affinity Search

get
https://connect.patsnap.com/synapse/bio/affinity/search
Try in Sandbox

Search affinity details between antibody and antigen through affinity ID, including antibody sequence, antigen information, detection method, test conditions, etc.

affinity_id is required, can be obtained from [B065] interface response

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
affinity_id
Required
stringn14778540229713683257531356477449681766
Affinity search ID
page
integer<int32>1
Page number (must be >=1)
rows
integer<int32>10
Rows per page (must be >=1 and <=10)

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
page
integer<int32>1
Current page number
rows
integer<int32>10
Rows per page
total
integer<int64>100
Total
source
objectPlease check the form: AntibodyPatentInfo
Source information
source_type
stringpatent
Data source type
antibody_patent_id
stringAB_12345678
Antibody patent ID
antibody_patent_number
stringCN302052315S
patent number
heavy_chain_sequence_id
stringHC_12345678
PatSnap internal heavy chain sequence ID
light_chain_sequence_id
stringLC_12345678
PatSnap internal light chain sequence ID
antigen_name
stringCD19
Antigen name
antibody_name
array[ "Rituximab" ]
Antibody name
antigen_species
stringHuman
Antigen species
antigen_uniport
arrayPlease check the form: AntibodyUniport
Antigen UniProt list
uniprot_id
stringP15391
Antigen uniprot ID
uniprot_id_seq
stringMKLLVVVLFLGAETTGSTQQLIQESGPGLVAPSQSLSITCTVSGFSLTNYGVHWVRQSPGKGLEWLGVIWSGGNTDYNTPFTSRLSINKDNSKSQVFFKMNSLQSNDTAIYYCARDYRYDYWGQGTLVTVSS
Antigen uniprot ID sequence
affinity_details
arrayPlease check the form: AffinityDetail
Affinity list
ph
string7.4
pH value
unit
string1/Ms
Standardized unit
index
stringKd
Index
value
string198000
Standardized value
method
stringSPR
Detection method
ori_unit
stringM^-1s^-1
Original unit
ori_value
string198000
Original value
temperature
stringroom temperature
Temperature
antibody_sequence
objectPlease check the form: AntibodySequenceInfo
Antibody sequence information
antibody_heavy_chain
stringEVQLVESGGGLVQPGGSLRLSCAASGFTFSSYAMSWVRQAPGKGLEWVSAISGSGGSTYYADSVKGRFTISRDNSKNTLYLQMNSLRAEDTAVYYCARDYRYDYWGQGTLVTVSS
Antibody heavy chain sequence
antibody_light_chain
stringDIQMTQSPSSLSASVGDRVTITCRASQDVNTAVAWYQQKPGKAPKLLIYSASFLYSGVPSRFSGSRSGTDFTLTISSLQPEDFATYYCQQHYTTPPTFGQGTKVEIK
Antibody light chain sequence
heavy_chain_sequence_number
integer<int64>123456789
Heavy chain sequence number
light_chain_sequence_number
integer<int64>987654321
Light chain sequence number
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "page": 1,
    "rows": 10,
    "total": 100,
    "source": {
      "source_type": "patent",
      "antibody_patent_id": "AB_12345678",
      "antibody_patent_number": "CN302052315S",
      "heavy_chain_sequence_id": "HC_12345678",
      "light_chain_sequence_id": "LC_12345678"
    },
    "antigen_name": "CD19",
    "antibody_name": [
      "Rituximab"
    ],
    "antigen_species": "Human",
    "antigen_uniport": [
      {
        "uniprot_id": "P15391",
        "uniprot_id_seq": "MKLLVVVLFLGAETTGSTQQLIQESGPGLVAPSQSLSITCTVSGFSLTNYGVHWVRQSPGKGLEWLGVIWSGGNTDYNTPFTSRLSINKDNSKSQVFFKMNSLQSNDTAIYYCARDYRYDYWGQGTLVTVSS"
      }
    ],
    "affinity_details": [
      {
        "ph": 7.4,
        "unit": "1/Ms",
        "index": "Kd",
        "value": 198000,
        "method": "SPR",
        "ori_unit": "M^-1s^-1",
        "ori_value": 198000,
        "temperature": "room temperature"
      }
    ],
    "antibody_sequence": {
      "antibody_heavy_chain": "EVQLVESGGGLVQPGGSLRLSCAASGFTFSSYAMSWVRQAPGKGLEWVSAISGSGGSTYYADSVKGRFTISRDNSKNTLYLQMNSLRAEDTAVYYCARDYRYDYWGQGTLVTVSS",
      "antibody_light_chain": "DIQMTQSPSSLSASVGDRVTITCRASQDVNTAVAWYQQKPGKAPKLLIYSASFLYSGVPSRFSGSRSGTDFTLTISSLQPEDFATYYCQQHYTTPPTFGQGTKVEIK",
      "heavy_chain_sequence_number": 123456789,
      "light_chain_sequence_number": 987654321
    }
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms